API referenceIntegrations
Browse Resources
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/string/integrations/resources/browse" \ -H "Content-Type: application/json" \ -d '{ "connectionId": "string" }'{ "data": { "resources": [ { "externalType": "string", "externalId": "string", "name": "string", "surfaceKind": "generic", "capabilities": [ "browse" ], "mimeType": "string", "canonicalUrl": "string", "parentExternalId": "string", "revision": "string", "providerCreatedAt": "string", "providerModifiedAt": "string", "metadata": {} } ], "cursor": "string" }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}